<?php

namespace Lc\ShopBundle\Repository;


use Lc\ShopBundle\Context\AddressInterface;
use Lc\ShopBundle\Context\DefaultRepositoryInterface;


/**
 * @method AddressInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method AddressInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method AddressInterface[]    findAll()
 * @method AddressInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class AddressRepository extends BaseRepository implements DefaultRepositoryInterface
{
    public function getInterfaceClass()
    {
            return AddressInterface::class;
    }

        // /**
    //  * @return Address[] Returns an array of Address objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('a')
            ->andWhere('a.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('a.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?Address
    {
        return $this->createQueryBuilder('a')
            ->andWhere('a.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
